Skip to main content
POST
/
alpha
/
merchant
/
customers
/
{customerId}
/
paymentSetup
Create payment setup session
curl --request POST \
  --url https://api.auctionnow.io/api/alpha/merchant/customers/{customerId}/paymentSetup \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "successUrl": "<string>",
    "cancelUrl": "<string>"
  }
}
'
{
  "data": {
    "setupUrl": "<string>",
    "clientSecret": "<string>"
  },
  "timestamp": 123,
  "message": "<string>"
}

Headers

Authorization
string
required

Your Auction Now API key as a Bearer token

Example:

"Bearer ak_XXXXXXX"

Path Parameters

customerId
string
required

The unique ID of the customer

Body

application/json
data
object
required

Input data for creating a payment setup session

Response

Payment setup session created

data
object
required
timestamp
number
required
message
string